Vla-put-shortcutmenudisplay

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-put-shortcutmenudisplay vla-object bool)


機能
作図領域での右クリックに対してショートカット メニューを表示するか、[Enter]を発行するかを設定する。


引数
  • vla-object … PreferencesUser の VLAオブジェクト
  • bool … ブール型
  •  :vlax-True: 作図領域でショートカット メニューを使用可能にする。
  •  :vlax-False: 作図領域でショートカット メニューを使用不能にする。作図領域で右クリックすると、[Enter]を押したものと解釈される。


戻り値
nil


サンプル
(vl-load-com)
(defun c:Example_ShortCutMenuDisplay()
    ;; 右クリックの設定を変更するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; 既定値の読み込み
    (setq originalValue (vla-get-ShortCutMenuDisplay (vla-get-User preferences)))
    (setq newAction (if (= originalValue :vlax-true)  "ショートカットメニューの表示" "Enter 扱い"))
    (alert (strcat "現在の右クリックの設定は " newAction))
  
    ;; トグルで変更
    (vla-put-ShortCutMenuDisplay (vla-get-User preferences) (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-ShortCutMenuDisplay (vla-get-User preferences)))
    (setq newAction (if (= newValue :vlax-true) "ショートカットメニューの表示" "Enter 扱い"))
    (alert (strcat "新しい右クリックの設定は " newAction))
)

関連事項